Project64 Forums

Project64 Forums (http://forum.pj64-emu.com/index.php)
-   Site News (http://forum.pj64-emu.com/forumdisplay.php?f=5)
-   -   Pj64 vs Windows (http://forum.pj64-emu.com/showthread.php?t=66)

oceanblue 17th April 2007 05:22 PM

I vote of Windows XP and newer only.

GaveUpTomorrow 17th April 2007 06:17 PM

Windows 2000, Xp, and Vista. I still use windows 2000, but mostly I stick to XP. Still though, a lot of people still use 2000, and to me, it's one of the best OS's available (much faster than XP at times).

Anonymous 17th April 2007 06:47 PM

written by Joshua
 
Definitely support Win 2000... Most all other companies still do. I wouldn't support 95/98 though as they have been officially ended by Microsoft.

zilmar 17th April 2007 08:04 PM

smiff wrote:
there isn't really any "Win98 code" to remove and get a magic speedup (there is some Win9x specific code but for things like ini operations where that OS has limitations, not in core emulation) - this is mostly about us no longer having to test every build on so many operating systems. which is a PITA. and as someone above said, so we can be clear about exactly what we support. there is no intention to deliberately break Win9x support either afaik..

Anonymous 17th April 2007 09:47 PM

written by Sam
 
I also think that Windows 2000 should still be supported. A lot of people use it as an alternative to XP because it isn't as much of a resource hog.

Anonymous 17th April 2007 09:50 PM

written by DrLight
 
Win2k and WinXP support should be sufficient for the Windows users (nobody should be forced to use Vista so I wouldn't mind dropping the Vista support efforts :-) ). Also I would be happy to see a Linux / Unix / MacOS port; for example using Winelib.

Anonymous 17th April 2007 10:01 PM

written by Willy Gazina
 
Windows XP and Ubuntu would be nice. Maybe just get it working in wine? It's not hard to test it against winelibs. Of course that means it will PROBABLY run in ReactOS, too...

Anonymous 18th April 2007 02:15 AM

written by RandomMofo
 
i don't give much of a damn about vista, but i'm using win2k and still sticking to it. supporting it should be relatively easy, since XP is merely an overhauled win2k and therefore shares the same core features. on the other hand, i agree that previous windows versions should be just dropped. just my tuppence.

Anonymous 18th April 2007 03:40 AM

written by sean1
 
my two cents?- drop win9x support! thanks guys! keep it up!

Anonymous 18th April 2007 06:40 AM

written by RaphaelZ
 
Oh, the win98/ME/2000 suport is very important!!!!!!


All times are GMT. The time now is 02:36 AM.

Powered by vBulletin® Version 3.7.3
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.